> ## Documentation Index
> Fetch the complete documentation index at: https://velt-mintlify-e6426361.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update memory alert config (v2)

> Update Memory alert thresholds, channels, and routing rules using the Velt v2 REST API to tune proactive notifications for review trend monitoring.

Use this API to tune alert generation for the workspace.

# Endpoint

`POST https://api.velt.dev/v2/memory/alerts/config/update`

# Headers

<ParamField header="x-velt-api-key" type="string" required>
  Your API key.
</ParamField>

<ParamField header="x-velt-auth-token" type="string" required>
  Your [Auth Token](/security/auth-tokens).
</ParamField>

# Body

#### Params

<ParamField body="data" type="object" required>
  <Expandable title="properties">
    <ParamField body="config" type="object" required>
      `{ enabled?, maxAlertsPerWeek?, enabledAlertTypes?, severityThreshold? }`. `severityThreshold` is `high`, `medium`, or `low`; `maxAlertsPerWeek` must be 0 or greater.
    </ParamField>
  </Expandable>
</ParamField>

## **Example Requests**

#### Cap alerts at 3 per week

```JSON theme={null}
{
  "data": {
    "config": {
      "enabled": true,
      "maxAlertsPerWeek": 3,
      "severityThreshold": "medium"
    }
  }
}
```

# Response

The response confirms the update.

#### Success Response

```JSON theme={null}
{
  "result": {
    "success": true
  }
}
```

#### Failure Response

```JSON theme={null}
{
  "error": {
    "message": "ERROR_MESSAGE",
    "status": "INVALID_ARGUMENT"
  }
}
```

<ResponseExample>
  ```js theme={null}
  {
    "result": {
      "success": true
    }
  }
  ```
</ResponseExample>
